/*
Banner Video DMs: (1200, 420) px
*/

.avatar {
  margin: 0 auto;
  /* Centers horizontally */

  width: clamp(100px, 25vw, 160px);
  height: clamp(100px, 25vw, 160px);

  border-radius: 50%;
  overflow: hidden;
  border: 2px solid var(--accent);

  z-index: 10;
  /* ensures it sits above video */
  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.4);
}

.main-content {
  opacity: 0;
  animation: fadeUp 1s ease forwards;
  animation-delay: 0.3s;
}

.avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;

  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.4);
}

.divider {
  display: flex;
  align-items: center;
  text-align: center;
  margin: 20px 0;
}

.divider::before,
.divider::after {
  content: '';
  flex: 1;
  border-bottom: 2px solid var(--accent);
  /* Line color and thickness */
}

.divider:not(:empty)::before {
  margin-right: .5em;
  /* Space between line and text */
}

.divider:not(:empty)::after {
  margin-left: .5em;
  /* Space between line and text */
}

.divider span {
  padding: 5px 15px;
  border-radius: 4px;
  /* Rounded corners */
  font-weight: bold;
}

.contents {
  margin: 0 auto;
  font-weight: 300;

  width: fit-content;
  text-align: center;

  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.4);
  border: 2px solid var(--accent);
  border-radius: 12px;
  padding: 6px;
  background-color: rgb(255, 255, 255);
}